Docker, dockerd and containerd package update

I have to update docker, dockerd and containerd packages. The last time I updated them I had a ton of problems with the only container (Emby) I have running on my router, which ended with a fresh reinstall.
How should I approach this new update of these packages to prevent these problems again?
Thanks in advance.

Follow emby documentation?